The Smalltalk Professional Debug Package is licensed commercial software,
Copyright 2002 Crafted Smalltalk.  Use of this software without a valid
license is prohibited.

-Installation

The PDP parcels have been setup to load using their prerequisites.
You can load PDP by loading;
a) PDPLoadAll - This will load all of PDP.
b) PDPDebug - This will load the probes and the PDP debugger.
c) PDPProcessMonitor - This will load PDPDebug and the process monitor.
d) PDPRBExtensions - This will load PDPDebug and the RB extensions.

PDPProcessMonitor and PDPRBExtensions are independent of each
other and both have PDPDebug as a prerequisite.

When publishing PDP to a StORE repository, the package PDPComp
must be published as binary.

-Probe libraries

The file WATCHLIB.ST contains an initial expression library for watch
expressions, and the file TESTLIB.ST contains an expression for the probe
conditional expression library.  Use the load library commands on the
VisualLaucher 'Probes' menu to load the libraries.

Note:
The debug package attempts to insure that an instance of ProbedCompiledMethod
will not be BOSSed out.  However, if you are BOSSing out methods you
should verify this or simply remove all the probes from all methods via the
launcher menu command.

Technical support is availble via
email
   traymond@craftedsmalltalk.com
